[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.GetEditText

Gets the value used in the editor for the specified cell.

## Declaration

Source position: valedit.pas line 161

`protected function TValueListEditor.GetEditText(`
`ACol: Integer;`
`ARow: Integer`
`):string; override;`

## Arguments

`ACol` |  | Column number.
`ARow` |  | Row number.

## Function result

Value for the cell editor.

## Description

GetEditText is a String function used to get the value used in the editor for the cell at the specified coordinates. The return value contains the content in Cells stored at the coordinates in ACol and ARow.

GetEditText signals the OnGetEditText event handler (when assigned) to allow a custom value to be provided to the cell editor.